<?php
		session_start();

		include('../conexion.php');
		
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  ){
		}else{
			header('location:acceso_denegado.php');
		}
		


if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }



if ($cadena_busqueda<>"") {

	$array_cadena_busqueda=split("~",$cadena_busqueda);

	$codusu=$array_cadena_busqueda[1];

	$nomcomusu=$array_cadena_busqueda[2];

	//$tipusu=$array_cadena_busqueda[3];

	//$telusu=$array_cadena_busqueda[4];

} else {

	$codusu="";

	$nomcomusu="";

	//$tipusu="";

	//$telusu="";

}



?>

<html>

	<head>

		<title>Modulo Uusario</title>

		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script type="text/javascript" src="../funciones/validar.js"></script>
		<script language="javascript">

		

		var cursor;

		if (document.all) {

		// Está utilizando EXPLORER

		cursor='hand';

		} else {

		// Está utilizando MOZILLA/NETSCAPE

		cursor='pointer';

		}

		
				
		//nombre del primer campo en la secuencia
		siguienteCampo = ""
		//nombre del formlario
		nombreForm = "form_busqueda"
		
		//funcion que gestiona el evento
		function TelcaPulsada( e ) {
		
		   if ( window.event != null)				//IE4+
			  tecla = window.event.keyCode;
		   else if ( e != null ) 				//N4+ o W3C compatibles
			  tecla = e.which;
		   else
			  return;
			
		   if (tecla == 13) { 					//se pulso enter
			  if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
				 alert('Envio del formulario.')			//eliminar este alert para uso normal
				 return false					//sustituir por return true para hacer el submit
			  } else { 						//da el foco al siguiente campo
				 eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
				 return false
			  }
		   }
		}
		
		document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
		if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
			document.captureEvents(Event.KEYDOWN)
			

		

		function inicio() {

			document.getElementById("form_busqueda").submit();

		}

		

		function nuevo_usuario() {

			location.href="nuevo_usuario.php";

		}

		

		function imprimir() {

			var codusu=document.getElementById("codusu").value;

			var nomcomusu=document.getElementById("nomcomusu").value;

			var nomcorusu=document.getElementById("tipusu").value;			

			var telusu=document.getElementById("telusu").value;

			window.open("../fpdf/usuarios.php?codusu="+codusu+"&nomcomusu="+nomcomusu+"&tipusu="+tipusu+"&telusu="+telusu);

		}

		

		function buscar() {

			var cadena;

			cadena=hacer_cadena_busqueda();

			document.getElementById("cadena_busqueda").value=cadena;

			if (document.getElementById("iniciopagina").value=="") {

				document.getElementById("iniciopagina").value=1;

			} else {

				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			}

			document.getElementById("form_busqueda").submit();

		}

		

		function paginar() {

			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;

			document.getElementById("form_busqueda").submit();

		}

		

		function hacer_cadena_busqueda() {

			var codusu=document.getElementById("codusu").value;

			var nomcomusu=document.getElementById("nomcomusu").value;

			//var tipusu=document.getElementById("tipusu").value;			

			//var telusu=document.getElementById("telusu").value;

			var cadena="";

		 	 cadena= "~"+codusu+"~"+nomcomusu+"~";

			return cadena;

			}

			

		function limpiar() {

			document.getElementById("form_busqueda").reset();
			buscar();
		}

		

		function abreVentana(){

			miPopup = window.open("ventana_usuario.php","miwin","width=700,height=380,scrollbars=yes");

			miPopup.focus();

		}

		

		function validarusuario(){

			var codigo=document.getElementById("codusu").value;

			miPopup = window.open("comprobarusuario.php?codusu="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");

		}	

		

		</script>

	    <style type="text/css">
<!--
.Estilo1 {
	font-size: 12pt;
	color: #FFFFFF;
}
-->
        </style>


</head>


	<body  background="../Fondo/fondo.jpg" onLoad=" inicio()" >

		<div id="">

			<div id="zonaVentanas">

			  <div align="left">
<form id="form_busqueda" name="form_busqueda" method="post" action="rejilla.php" target="frame_rejilla">
                    
      <div  id="formulario" class="contenido">
                    <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
                      
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td colspan="4">&nbsp;</td>
                        <td width="271" rowspan="3"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor" title="Buscar"><img src="../img/Recycle-Full-icon (3).png" name="Refrescar" width="48" height="48" border="0" id="Refrescar" onClick="limpiar()" onMouseOver="style.cursor=cursor" title="Refrescar" ></td>
                        <td>&nbsp;</td>
                        <td width="175" rowspan="4" align="right"><a href="nuevo_usuario.php"><img src="../img/Usuarios.png" width="83" height="85" title="Agregar Nuevo Usuario"></a></td>
                        <td align="right">&nbsp;</td>
                        <td width="43" rowspan="4" align="right">&nbsp;</td>
                      </tr>
                      <tr>
                        <td width="13">&nbsp;</td>
                        <td width="142">Codigo de Usuario </td>
                        <td colspan="4"><div align="left" class="fuente8">
                          <input name="codusu" type="text" class="cajaPequena" id="codusu" value="<?php echo $codusu?>" maxlength="10"  onFocus="siguienteCampo ='nomcomusu';"  onChange="buscar()">
                        </div></td>
                        <td width="21">&nbsp;</td>
                        <td width="88" align="right">&nbsp;</td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td height="28">Nombre</td>
                        <td colspan="4"><div align="left" class="fuente8">
                          <input id="nomcomusu" name="nomcomusu" type="text" class="cajaGrandeNombre" maxlength="45" value="<?php echo $nomcomusu?>" onFocus="siguienteCampo ='codusu';"  onChange="buscar()">
                        </div></td>
                        <td width="21">&nbsp;</td>
                        <td width="88" align="right">&nbsp;</td>
                      </tr>
                      <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td width="120">&nbsp;</td>
                        <td width="51">&nbsp;</td>
                        <td width="51">&nbsp;</td>
                        <td width="51">&nbsp;</td>
                        <td>&nbsp;</td>
                        <td width="21">&nbsp;</td>
                        <td width="88" align="right">&nbsp;</td>
                      </tr>
        </table>
      </div>
      <div id="lineaResultado">

	    <table class="fuente8" width="80%" cellspacing=0 cellpadding=3 border=0>

			  	<tr>

				<td width="50%" align="left">Cantidad de Usuarios <input id="filas" type="text" class="cajaPequena" NAME="filas" maxlength="5" readonly></td>

				<td width="50%" align="right"><input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
				  <input type="hidden" id="iniciopagina" name="iniciopagina">
				  Mostrados <select name="paginas" id="paginas" onChange="paginar()">

		          </select></td>

			  </table>

				</div>

			

				<div class="aCentro" id="frmResultado">

				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">

					

							

							<td width="29%" class="totalResultado">CODIGO</td>

							<td width="24%" class="totalResultado"><div align="left">NOMBRE </div></td>

							<td width="11%" class="totalResultado">CEDULA</td>

							<td width="12%" class="totalResultado">TELEFONO</td>

							

							<td width="6%" class="totalResultado">&nbsp;</td>

							<td width="12%" class="totalResultado">&nbsp;</td>
						</tr>
				</table>
				</div>

				  <iframe  width="100%" height="380" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                  <ilayer height="250" id="frame_rejilla" name="frame_rejilla"></ilayer>
				  </iframe>
                  <iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0"> <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer> </iframe>
</form>
<div class="aCentro" id="frmresultado">
  
  
  
  
  
</div>
			  </div>
		  </div>			



	</body>

</html>

